Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class RelaxedParser

    java.lang.Object
      org.codehaus.groovy.tools.shell.RelaxedParser

    class RelaxedParser
    extends Object

A relaxed parser, which tends to allow more, but won't really catch valid syntax errors.

Constructor Summary
`RelaxedParser()`

Method Summary
`protected AST` | `doParse(UnicodeEscapingReader reader)`
`ParseStatus` | `parse(List buffer)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### RelaxedParser

    RelaxedParser()

Method Detail

### doParse

    protected AST doParse(UnicodeEscapingReader reader)

### parse

    ParseStatus parse(List buffer)

Copyright © 2003-2009 The Codehaus. All rights reserved.